package main

import (
	"testing"
)

func TestCheck_actor(t *testing.T) {
	defer func() {
	}()

	// Start of Setup
	settings.Banned = append(settings.Banned, "banneddomain.com")
	o, _ := GetRunner("validdomain.com")

	q := o.recentactors.Add("https://validdomain.com/users/validuser")
	AssertEqual(t, q, false) // A setup test
	// End of Setup

	// initialize haves
	have1 := check_actor("meaninglessvalue")
	have0 := check_actor("")
	have2 := check_actor("https://banneddomain.com/users/banneduser")
	have3 := check_actor("https://validdomain.com/users/validuser")

	// test wants
	// Short user
	AssertEqual(t, have0, 400)

	// Invalid user
	AssertEqual(t, have1, 400)

	// Banned instance
	AssertEqual(t, have2, 401)

	// User already present
	AssertEqual(t, have3, 402)
}
